POST /tool/search
Search Tool
Search tools — composable infra architecture.
Request Body (SearchToolApiRequest)
| Field | Type | Required | Description |
|---|---|---|---|
search | string | No | — |
filter_department_ids | string[] | No | — |
filter_creatable | string[] | No | — |
department_search | string | No | — |
page_size | integer | No | — |
page_offset | integer | No | — |
snapshot_key | string | No | Cache snapshot key for consistent reads across related requests |
Response (ListToolApiResponse)
| Field | Type | Required | Description |
|---|---|---|---|
actor_name | string | No | Display name of the current actor |
tools | ListToolApiTool[] | No | List of tool entries |
department_filter | ListFilterSection | No | Department filter options |
creatable_filter | ListFilterSection | No | Creatable filter options |
agent_filter | ListFilterSection | No | Filter options for agents that reference these tools |
flag_filter | ListFilterSection | No | Filter options for flags in list UI |
permissions_filter | ListFilterSection | No | Filter options for permissions in list UI |
total_count | integer | No | Total number of tools |
import_fields | ImportField[] | No | CSV import column schema for the bulk-import dialog |
Last updated on